<#
.Description
    Questo script creerà un array di oggetti che contengono informazioni su ciascun disco, inclusa la lettera (DeviceID), la dimensione in GB e lo spazio libero in GB. L'array viene poi mostrato come una tabella formattata per una facile visualizzazione.
.Author 
    Roberto Bonfa'
.Version
    1.0
#>

try {
    $disks = Get-CimInstance -ClassName Win32_LogicalDisk

    if ($disks.Count -eq 0) {
        Write-Host "Nessun disco logico trovato."
    } else {
        $disks | 
        Where-Object { $_.Size -ne $null } | 
        Select-Object DeviceID, 
            @{Label="Size (GB)"; Expression={[math]::Round($_.Size / 1GB, 2)}},
            @{Label="FreeSpace (GB)"; Expression={[math]::Round($_.FreeSpace / 1GB, 2)}} |
        Format-Table -AutoSize
    }
} catch {
    Write-Host "Si è verificato un errore: $_"
}
